Bug 1378246

Summary: Media writer downloads corrupted image with Windows version
Product: [Fedora] Fedora Reporter: Couret Charles-Antoine <renault>
Component: mediawriterAssignee: Martin Bříza <mbriza>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: mbriza
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Windows   
Whiteboard:
Fixed In Version: mediawriter-3.97.1-0.fc25 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-09-27 00:31:55 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Couret Charles-Antoine 2016-09-21 22:31:53 UTC
During the test day about Media Writer, I tested this software with Windows 10 x86_64.
But, the download failed with a corrupted image as result. I tested twice and its failed each time at this step.

I don't have this issue with Fedora 25 system (but Fedora 25 failed to write the image on the USB stick).

The selected image was Fedora Workstation.

Comment 1 Martin Bříza 2016-09-22 07:56:49 UTC
Which version of the tool were you testing? It's indicated in the installer name. If there was no version in the name, please download a recent version and try if you still hit the problem: https://github.com/MartinBriza/MediaWriter/releases

Comment 2 Couret Charles-Antoine 2016-09-22 07:58:41 UTC
The last one: 3.96.1

Comment 3 Martin Bříza 2016-09-22 09:51:19 UTC
Hmm, well, I rewrote basically all of the download code so let's assume this is modified and we'll see in the next round of testing after I release a new version.

Comment 4 Fedora Update System 2016-09-23 05:24:29 UTC
mediawriter-3.97.0-0.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-d84f684d42

Comment 5 Fedora Update System 2016-09-24 17:52:16 UTC
mediawriter-3.97.1-0.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-e34fd77aaf

Comment 6 Couret Charles-Antoine 2016-09-24 20:26:55 UTC
It is better with 3.97.1.
No error with the program, the Live image seems good (I can boot and use GNOME Destop).
But the checking inside the LiveUSB failed at 4.7%... Any idea?

Comment 7 Martin Bříza 2016-09-26 09:29:48 UTC
This usually happens if you reinsert the flash drive in Windows. The system writes a "System Volume Information" folder to it and that breaks the verification.

Comment 8 Fedora Update System 2016-09-27 00:31:55 UTC
mediawriter-3.97.1-0.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.